# This file is generated by cargo_embargo.
# Do not modify this file after the LOCAL_DIR line
# because the changes will be overridden on upgrade.
# Content before the first line starting with LOCAL_DIR is preserved.

LOCAL_DIR := $(GET_LOCAL_DIR)
MODULE := $(LOCAL_DIR)
MODULE_CRATE_NAME := lazy_static
MODULE_RUST_CRATE_TYPES := rlib
MODULE_SRCS := $(LOCAL_DIR)/src/lib.rs
MODULE_RUST_EDITION := 2015
MODULE_LIBRARY_DEPS := \
	
ifeq ($(call TOBOOL,$(TRUSTY_USERSPACE)),false)

# avoid cyclic dependence by adding dependencies manually
MODULE_ADD_IMPLICIT_DEPS := false

MODULE_RUSTFLAGS += \
	--cfg 'feature="spin"' \
	--cfg 'feature="spin_no_std"' \

MODULE_DEPS := \
	external/rust/crates/spin \
	trusty/user/base/lib/libcompiler_builtins-rust \
	trusty/user/base/lib/libcore-rust

endif

include make/library.mk
